CC = gcc
AS = as
LD = ld
ASFLAGS  = -gstabs -g
CFLAGS  = -g -ansi -pedantic -Wall
LDFLAGS = -no-pie
LDLIBS  =

PROGRAM = my_function
OBJECTS = $(PROGRAM).o main.o

.PHONY: clean beauty run test gdb

$(PROGRAM): $(OBJECTS)

run:
	./$(PROGRAM)

test:
	./$(PROGRAM) < input.in
	./$(PROGRAM) < input2.in

gdb:
	gdb $(PROGRAM) --tui

clean:
	rm -f *.o 
	rm -f $(PROGRAM)
	rm -f *~

beauty:
	indent *.c
	rm -f *~
